{% extends 'layouts/base.html' %}
{% set pageTitle = "Admin: Dashboard" %}

{% block pageCSS %}
{% endblock pageCSS %}

{% block pageJS %}

{% endblock pageJS %}

{% block pageContent %}
<a class="nav-link" href="/admin/manage-users">Manage Users</a>
<a class="nav-link" href="/admin/manage-product">Manage Products</a>


<div class="progress" id="loading-bar" style="display: none;">
  <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%"></div>
</div>

<script>
    const theBar = document.getElementById("loading-bar");
    theBar.style.display = 'flex';
    fetch('/admin/test')
        .then(async response => {
            response = await response.json();
            setTimeout(() => {
                theBar.style.display = 'none';
                alert(`Finish loading ${response["value"]}`);
            }, 1000);

        })
        .then(data => console.log(data));
</script>

{% endblock pageContent %}